const char CharacterLibrary[97][6] = {{0x00, 0x00, 0x00, 0x00, 0x00, 0},   //Space
                                      {0x00, 0x00, 0x5F, 0x00, 0x00, 0},    //!
                                      {0x00, 0x07, 0x00, 0x07, 0x00, 0},    //"
                                      {0x14, 0x7F, 0x14, 0x7F, 0x14, 0},    //#
                                      {0x24, 0x2A, 0x7F, 0x2A, 0x12, 0},    //$
                                      {0x23, 0x13, 0x08, 0x64, 0x62, 0},    //%
                                      {0x36, 0x49, 0x55, 0x22, 0x50, 0},    //&
                                      {0x00, 0x05, 0x03, 0x00, 0x00, 0},    //'
                                      {0x00, 0x1C, 0x22, 0x41, 0x00, 0},    //(
                                      {0x00, 0x41, 0x22, 0x1C, 0x00, 0},    //)
                                      {0x14, 0x08, 0x3E, 0x08, 0x14, 0},    //*
                                      {0x08, 0x08, 0x3E, 0x08, 0x08, 0},    //+
                                      {0x00, 0x50, 0x30, 0x00, 0x00, 0},    //,
                                      {0x08, 0x08, 0x08, 0x08, 0x08, 0},    //-
                                      {0x00, 0x60, 0x60, 0x00, 0x00, 0},    //.
                                      {0x20, 0x10, 0x08, 0x04, 0x02, 0},    ///
                                      {0x3E, 0x51, 0x49, 0x45, 0x3E, 0},    //0
                                      {0x00, 0x42, 0x7F, 0x40, 0x00, 0},    //1
                                      {0x42, 0x61, 0x51, 0x49, 0x46, 0},    //2
                                      {0x21, 0x41, 0x45, 0x4B, 0x31, 0},    //3
                                      {0x18, 0x14, 0x12, 0x7F, 0x10, 0},    //4
                                      {0x27, 0x45, 0x45, 0x45, 0x39, 0},    //5  //
                                      {0x3C, 0x4A, 0x49, 0x49, 0x30, 0},    //6
                                      {0x01, 0x71, 0x09, 0x05, 0x03, 0},    //7
                                      {0x36, 0x49, 0x49, 0x49, 0x36, 0},    //8
                                      {0x06, 0x49, 0x49, 0x29, 0x1E, 0},    //9
                                      {0x00, 0x36, 0x36, 0x00, 0x00, 0},    //:
                                      {0x00, 0x56, 0x36, 0x00, 0x00, 0},    //;
                                      {0x08, 0x14, 0x22, 0x41, 0x00, 0},    //<
                                      {0x14, 0x14, 0x14, 0x14, 0x14, 0},    //=
                                      {0x00, 0x41, 0x22, 0x14, 0x08, 0},    //>
                                      {0x02, 0x01, 0x51, 0x09, 0x06, 0},    //?
                                      {0x32, 0x49, 0x79, 0x41, 0x3E, 0},    //@
                                      {0x7E, 0x11, 0x11, 0x11, 0x7E, 0},    //A
                                      {0x7F, 0x49, 0x49, 0x49, 0x36, 0},    //B
                                      {0x3E, 0x41, 0x41, 0x41, 0x22, 0},    //C
                                      {0x7E, 0x41, 0x41, 0x22, 0x1C, 0},    //D
                                      {0x7F, 0x49, 0x49, 0x49, 0x41, 0},    //E
                                      {0x7F, 0x09, 0x09, 0x09, 0x01, 0},    //F
                                      {0x3E, 0x41, 0x49, 0x49, 0x7A, 0},    //G
                                      {0x7F, 0x08, 0x08, 0x08, 0x7F, 0},    //H
                                      {0x00, 0x41, 0x7F, 0x41, 0x00, 0},    //I
                                      {0x20, 0x40, 0x41, 0x3F, 0x01, 0},    //J    //
                                      {0x7F, 0x08, 0x14, 0x22, 0x41, 0},    //K
                                      {0x7F, 0x40, 0x40, 0x40, 0x40, 0},    //L
                                      {0x7F, 0x02, 0x0C, 0x02, 0x7F, 0},    //M
                                      {0x7F, 0x04, 0x08, 0x10, 0x7F, 0},    //N
                                      {0x3E, 0x41, 0x41, 0x41, 0x3E, 0},    //O
                                      {0x7F, 0x09, 0x09, 0x09, 0x06, 0},    //P
                                      {0x3E, 0x41, 0x51, 0x21, 0x5E, 0},    //Q
                                      {0x7F, 0x09, 0x19, 0x29, 0x46, 0},    //R
                                      {0x46, 0x49, 0x49, 0x49, 0x31, 0},    //S
                                      {0x01, 0x01, 0x7F, 0x01, 0x01, 0},    //T
                                      {0x3F, 0x40, 0x40, 0x40, 0x3F, 0},    //U
                                      {0x1F, 0x20, 0x40, 0x20, 0x1F, 0},    //V
                                      {0x3F, 0x40, 0x3F, 0x40, 0x3F, 0},    //W
                                      {0x63, 0x14, 0x08, 0x14, 0x63, 0},    //X
                                      {0x07, 0x08, 0x70, 0x08, 0x07, 0},    //Y
                                      {0x61, 0x51, 0x49, 0x45, 0x43, 0},    //Z
                                      {0x00, 0x7F, 0x41, 0x41, 0x00, 0},    //[
                                      {0x02, 0x04, 0x08, 0x10, 0x20, 0},    /* \ */
                                      {0x00, 0x41, 0x41, 0x7F, 0x00, 0},    //]
                                      {0x04, 0x02, 0x01, 0x02, 0x04, 0},    //^
                                      {0x40, 0x40, 0x40, 0x40, 0x40, 0},    //_
                                      {0x00, 0x01, 0x02, 0x00, 0x00, 0},    //`
                                      {0x20, 0x54, 0x54, 0x54, 0x78, 0},    //a
                                      {0x7F, 0x48, 0x44, 0x44, 0x38, 0},    //b
                                      {0x38, 0x44, 0x44, 0x44, 0x20, 0},    //c
                                      {0x38, 0x44, 0x44, 0x48, 0x7F, 0},    //d
                                      {0x38, 0x54, 0x54, 0x54, 0x18, 0},    //e
                                      {0x08, 0x7E, 0x09, 0x01, 0x02, 0},    //f
                                      {0x0C, 0x52, 0x52, 0x52, 0x3E, 0},    //g
                                      {0x7F, 0x08, 0x04, 0x04, 0x78, 0},    //h
                                      {0x00, 0x44, 0x7D, 0x40, 0x00, 0},    //i
                                      {0x20, 0x40, 0x44, 0x3D, 0x00, 0},    //j
                                      {0x7F, 0x10, 0x28, 0x44, 0x00, 0},    //k
                                      {0x00, 0x41, 0x7F, 0x40, 0x00, 0},    //l
                                      {0x7C, 0x04, 0x18, 0x04, 0x78, 0},    //m
                                      {0x7C, 0x08, 0x04, 0x04, 0x78, 0},    //n
                                      {0x38, 0x44, 0x44, 0x44, 0x38, 0},    //o
                                      {0x7C, 0x14, 0x14, 0x14, 0x08, 0},    //p
                                      {0x08, 0x14, 0x14, 0x18, 0x7C, 0},    //q
                                      {0x7C, 0x08, 0x04, 0x04, 0x08, 0},    //r
                                      {0x48, 0x54, 0x54, 0x54, 0x24, 0},    //s//
                                      {0x04, 0x3F, 0x44, 0x40, 0x20, 0},    //t
                                      {0x3C, 0x40, 0x40, 0x20, 0x7C, 0},    //u
                                      {0x1C, 0x20, 0x40, 0x20, 0x1C, 0},    //v
                                      {0x3C, 0x40, 0x3C, 0x40, 0x3C, 0},    //w
                                      {0x44, 0x28, 0x10, 0x28, 0x44, 0},    //x
                                      {0x4C, 0x50, 0x50, 0x50, 0x3C, 0},    //y
                                      {0x44, 0x64, 0x54, 0x4C, 0x44, 0},    //z
                                      {0x00, 0x08, 0x36, 0x41, 0x00, 0},    //{
                                      {0x00, 0x00, 0x7F, 0x00, 0x00, 0},    //|
                                      {0x00, 0x41, 0x36, 0x08, 0x00, 0},    //}
                                      {0x02, 0x01, 0x02, 0x04, 0x02, 0},    //~
                                      {0x08, 0x08, 0x2A, 0x1C, 0x08, 0},    //->
                                      {0x08, 0x1C, 0x2A, 0x08, 0x08, 0}};   //<-

const char minus [4][12] = {
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38,
0x38, 0x38, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

const char period [4][8] = {
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x38, 0x38, 0x00, 0x00
};

const char zero [4][21] = {
{0x00, 0x00, 0x00, 0x80, 0xC0, 0xE0, 0xF0, 0x78, 0x38, 0x38, 0x38, 0x38, 0x38, 0x78, 0xF0, 0xF0, 0xE0, 0x80, 0x00, 0x00, 0x00}, 
{0x00, 0x00, 0xF8, 0xFF, 0xFF, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF8, 0x00, 0x00},
{0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0xFF, 0x3F, 0x00, 0x00}, 
{0x00, 0x00, 0x00, 0x03, 0x0F, 0x1F, 0x1E, 0x3C, 0x38, 0x38, 0x38, 0x38, 0x38, 0x3C, 0x1E, 0x0F, 0x07, 0x03, 0x00, 0x00, 0x00}};
                                      
const char one [4][21] = { 
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xC0, 0xE0, 0xF0, 0xF8, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00}, 
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x0E, 0x0F, 0x07, 0x07, 0x03, 0x01, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00},
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00}, 
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x3F, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00}};
                                      
const char two [4][21] = {
{0x00, 0x00, 0x00, 0xC0, 0xE0, 0xF0, 0x70, 0x78, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x78, 0x70, 0xF0, 0xE0, 0xC0, 0x00, 0x00},
{0x00, 0x00, 0x03, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xE1, 0xFF, 0x7F, 0x1F, 0x00}, 
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xC0, 0xE0, 0xE0, 0x70, 0x38, 0x3C, 0x1E, 0x0F, 0x07, 0x03, 0x01, 0x00, 0x00, 0x00}, 
{0x00, 0x00, 0x30, 0x3C, 0x3E, 0x3F, 0x3B, 0x3B, 0x39, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x00}};

const char three [4][21] = { 
{0x00, 0x00, 0x00, 0x00, 0xC0, 0xE0, 0xF0, 0x70, 0x78, 0x38, 0x38, 0x38, 0x38, 0x38, 0x70, 0xF0, 0xE0, 0xC0, 0x80, 0x00, 0x00}, 
{0x00, 0x00, 0x00, 0x03, 0x03, 0x03, 0x01, 0x00, 0x00, 0x80, 0xC0, 0xC0, 0xC0, 0xE0, 0xE0, 0xF0, 0xBF, 0x3F, 0x0F, 0x00, 0x00}, 
{0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x00, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x07, 0xFF, 0xFE, 0xF8, 0x00}, 
{0x00, 0x00, 0x00, 0x01, 0x07, 0x0F, 0x1F, 0x1C, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x1C, 0x1C, 0x0F, 0x0F, 0x03, 0x01, 0x00}};

const char four [4][21] = {
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xE0, 0xF0, 0xF8, 0xF8, 0xF8, 0x00, 0x00, 0x00, 0x00},
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xE0, 0xF8, 0x7C, 0x1F, 0x0F, 0x03, 0x01, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00},
{0x00, 0x00, 0xF0, 0xF8, 0xFE, 0xFF, 0xE7, 0xE3, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xE0, 0xFF, 0xFF, 0xFF, 0xE0, 0xE0, 0xE0, 0x00},
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x3F, 0x3F, 0x00, 0x00, 0x00, 0x00}};

const char five [4][21] = {
0x00, 0x00, 0x00, 0x00, 0xE0, 0xF8, 0xF8, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38,
0x38, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFC, 0xFF, 0xFF, 0xE3, 0x60, 0x70, 0x70, 0x70,
0x70, 0x70, 0xF0, 0xE0, 0xE0, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x81, 0x81, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00,
0x00, 0x01, 0x07, 0x0F, 0x1E, 0x1C, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x1C, 0x1C, 0x0F, 0x07,
0x03, 0x00, 0x00, 0x00, 
};

const char six [4][21] = {
0x00, 0x00, 0x00, 0x00, 0x80, 0xE0, 0xE0, 0xF0, 0x70, 0x38, 0x38, 0x38, 0x38, 0x38, 0x78, 0x70,
0xF0, 0xE0, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xFF, 0xFF, 0x87, 0xC1, 0xE0, 0x60, 0x70, 0x70,
0x70, 0x70, 0x70, 0xF0, 0xE0, 0xE1, 0xC3, 0x03, 0x03, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x83,
0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00,
0x00, 0x00, 0x01, 0x07, 0x0F, 0x1E, 0x1C, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x1C, 0x1E, 0x0F,
0x07, 0x03, 0x00, 0x00, 
};

const char seven [4][21] = {
0x00, 0x00, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38, 0x38,
0xB8, 0xF8, 0x78, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80,
0xE0, 0xF0, 0x7C, 0x1E, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0xC0, 0xF8, 0xFE, 0x3F, 0x07, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x3F, 0x3F, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 
};

const char eight [4][21] = {
0x00, 0x00, 0x00, 0x80, 0xC0, 0xE0, 0xF0, 0x78, 0x38, 0x38, 0x38, 0x38, 0x38, 0x70, 0xF0, 0xE0,
0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x3F, 0x7F, 0xF0, 0xE0, 0xC0, 0xC0, 0xC0,
0xC0, 0xC0, 0xE0, 0xF0, 0x7F, 0x3F, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 0xFE, 0xFF, 0x0F,
0x03, 0x03, 0x01, 0x01, 0x01, 0x01, 0x01, 0x03, 0x03, 0x0F, 0xFE, 0xFE, 0xF8, 0x00, 0x00, 0x00,
0x00, 0x01, 0x07, 0x0F, 0x1E, 0x1C, 0x3C, 0x38, 0x38, 0x38, 0x38, 0x38, 0x3C, 0x1C, 0x1F, 0x0F,
0x07, 0x01, 0x00, 0x00, 
};

const char nine [4][21] = {
0x00, 0x00, 0x00, 0x80, 0xE0, 0xF0, 0xF0, 0x78, 0x38, 0x38, 0x38, 0x38, 0x38, 0x70, 0x70, 0xE0,
0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0xFF, 0xFF, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x81, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x80, 0x83, 0x87, 0x0F,
0x0E, 0x1E, 0x1C, 0x1C, 0x1C, 0x1C, 0x0C, 0x0E, 0x07, 0xC3, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,
0x00, 0x01, 0x07, 0x0F, 0x1E, 0x1C, 0x38, 0x38, 0x38, 0x38, 0x38, 0x3C, 0x1C, 0x0E, 0x0F, 0x07,
0x01, 0x00, 0x00, 0x00, 
};                                      