void LCDInit(void);
void LCDDataOut(int, int);
void LCDCharOut(int);
void LCDStringOut(const char*);

void LCDSetCursorPos(int, int);
void LCDBlank(void);
void LCDPageBlank(int);
void LCDSectionBlank(int, int, int);

int LCDLongIntToString(long int, char*, int, int);
int LCDFloatToString(float, char*, int, int);
int LCDStringToFloat(float*, char*, int*);

void LCDBigStringOut(int, int, char*);
int LCDLengthForBigFont(char*);

#define LCD_DATA  0x02
#define LCD_CMD   0x00
